Create Template
curl --request POST \
--url https://api.supernotes.app/v1/templates/{template_id} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"markup": "<string>",
"created_when": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.supernotes.app/v1/templates/{template_id}"
payload = {
"name": "<string>",
"markup": "<string>",
"created_when": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
markup: '<string>',
created_when: '2023-11-07T05:31:56Z',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.supernotes.app/v1/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"markup": "<string>",
"created_when": "2023-11-07T05:31:56Z",
"modified_when": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"detail": "<string>",
"status": 123
}Templates
Create Template
Create a new template
POST
/
v1
/
templates
/
{template_id}
Create Template
Authorizations
Path Parameters
Body
application/json
⌘I